/*
 * Interface wrapper code.
 *
 * Generated by SIP 4.4.5 (4.4.5) on Wed Jul 19 17:13:09 2006
 *
 * Copyright (c) 2005
 * 	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
 * 
 * This file is part of PyQt.
 * 
 * This copy of PyQt is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2, or (at your option) any later
 * version.
 * 
 * PyQt is supplied in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * PyQt; see the file LICENSE.  If not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "sipAPIqt.h"
#include "sipqtQPointArray.h"

#include "sipqtQRect.h"
#include "sipqtQPointArray.h"
#include "sipqtQPoint.h"
#include "sipqtQWMatrix.h"

#line 97 "sip/qt/qpointarray.sip"
// Convert a list of numbers to an array on QCOORDs on the heap.

static QCOORD *getPoints(int nrpnts,PyObject *pntlist)
{
	QCOORD *pnts, *pp;

	if ((pnts = (QCOORD *)sipMalloc(nrpnts * sizeof (QCOORD))) == NULL)
		return NULL;

	// Convert the list.

	pp = pnts;

	for (int i = 0; i < nrpnts; ++i)
	{
		*pp++ = (QCOORD)PyInt_AsLong(PyList_GetItem(pntlist,i));

		if (PyErr_Occurred() != NULL)
		{
			sipFree((ANY *)pnts);
			return NULL;
		}
	}

	return pnts;
}
#line 62 "sipqtQPointArray.cpp"


static PyObject *meth_QPointArray_copy(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipClass_QPointArray,&sipCpp))
		{
			QPointArray *sipRes;

			sipRes = new QPointArray(sipCpp->copy());

			return sipConvertFromNewInstance(sipRes,sipClass_QPointArray,NULL);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_copy);

	return NULL;
}


static PyObject *meth_QPointArray_translate(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		int a0;
		int a1;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"Bii",&sipSelf,sipClass_QPointArray,&sipCpp,&a0,&a1))
		{
			sipCpp->translate(a0,a1);

			Py_INCREF(Py_None);
			return Py_None;
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_translate);

	return NULL;
}


static PyObject *meth_QPointArray_boundingRect(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipClass_QPointArray,&sipCpp))
		{
			QRect *sipRes;

			sipRes = new QRect(sipCpp->boundingRect());

			return sipConvertFromNewInstance(sipRes,sipClass_QRect,NULL);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_boundingRect);

	return NULL;
}


static PyObject *meth_QPointArray_point(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		unsigned a0;
		int a1;
		int a2;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"Bu",&sipSelf,sipClass_QPointArray,&sipCpp,&a0))
		{
			sipCpp->point(a0,&a1,&a2);

			return sipBuildResult(0,"(ii)",a1,a2);
		}
	}

	{
		unsigned a0;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"Bu",&sipSelf,sipClass_QPointArray,&sipCpp,&a0))
		{
			QPoint *sipRes;

			sipRes = new QPoint(sipCpp->point(a0));

			return sipConvertFromNewInstance(sipRes,sipClass_QPoint,NULL);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_point);

	return NULL;
}


static PyObject *meth_QPointArray_setPoint(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		unsigned a0;
		int a1;
		int a2;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"Buii",&sipSelf,sipClass_QPointArray,&sipCpp,&a0,&a1,&a2))
		{
			sipCpp->setPoint(a0,a1,a2);

			Py_INCREF(Py_None);
			return Py_None;
		}
	}

	{
		unsigned a0;
		const QPoint * a1;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"BuJA",&sipSelf,sipClass_QPointArray,&sipCpp,&a0,sipClass_QPoint,&a1))
		{
			sipCpp->setPoint(a0,*a1);

			Py_INCREF(Py_None);
			return Py_None;
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_setPoint);

	return NULL;
}


static PyObject *meth_QPointArray_setPoints(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		PyObject * a0;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"BT",&sipSelf,sipClass_QPointArray,&sipCpp,&PyList_Type,&a0))
		{
			bool sipRes = 0;
			int sipIsErr = 0;

#line 165 "sip/qt/qpointarray.sip"
		int nrpnts;
		QCOORD *pnts;

		nrpnts = PyList_GET_SIZE(a0);

		if ((pnts = getPoints(nrpnts,a0)) == NULL)
			sipIsErr = 1;
		else
		{
			Py_BEGIN_ALLOW_THREADS
			sipRes = sipCpp -> setPoints(nrpnts / 2,pnts);
			Py_END_ALLOW_THREADS

			sipFree((ANY *)pnts);
		}
#line 246 "sipqtQPointArray.cpp"

			if (sipIsErr)
				return 0;

			return PyBool_FromLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_setPoints);

	return NULL;
}


static PyObject *meth_QPointArray_putPoints(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		int a0;
		PyObject * a1;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"BiT",&sipSelf,sipClass_QPointArray,&sipCpp,&a0,&PyList_Type,&a1))
		{
			bool sipRes = 0;
			int sipIsErr = 0;

#line 186 "sip/qt/qpointarray.sip"
		int nrpnts;
		QCOORD *pnts;

		nrpnts = PyList_GET_SIZE(a1);

		if ((pnts = getPoints(nrpnts,a1)) == NULL)
			sipIsErr = 1;
		else
		{
			Py_BEGIN_ALLOW_THREADS
			sipRes = sipCpp -> putPoints(a0,nrpnts / 2,pnts);
			Py_END_ALLOW_THREADS

			sipFree((ANY *)pnts);
		}
#line 292 "sipqtQPointArray.cpp"

			if (sipIsErr)
				return 0;

			return PyBool_FromLong(sipRes);
		}
	}

	{
		int a0;
		int a1;
		const QPointArray * a2;
		int a3 = 0;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"BiiJA|i",&sipSelf,sipClass_QPointArray,&sipCpp,&a0,&a1,sipClass_QPointArray,&a2,&a3))
		{
			bool sipRes;

			sipRes = sipCpp->putPoints(a0,a1,*a2,a3);

			return PyBool_FromLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_putPoints);

	return NULL;
}


static PyObject *meth_QPointArray_makeArc(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		int a0;
		int a1;
		int a2;
		int a3;
		int a4;
		int a5;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"Biiiiii",&sipSelf,sipClass_QPointArray,&sipCpp,&a0,&a1,&a2,&a3,&a4,&a5))
		{
			sipCpp->makeArc(a0,a1,a2,a3,a4,a5);

			Py_INCREF(Py_None);
			return Py_None;
		}
	}

	{
		int a0;
		int a1;
		int a2;
		int a3;
		int a4;
		int a5;
		const QWMatrix * a6;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"BiiiiiiJA",&sipSelf,sipClass_QPointArray,&sipCpp,&a0,&a1,&a2,&a3,&a4,&a5,sipClass_QWMatrix,&a6))
		{
			sipCpp->makeArc(a0,a1,a2,a3,a4,a5,*a6);

			Py_INCREF(Py_None);
			return Py_None;
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_makeArc);

	return NULL;
}


static PyObject *meth_QPointArray_makeEllipse(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		int a0;
		int a1;
		int a2;
		int a3;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"Biiii",&sipSelf,sipClass_QPointArray,&sipCpp,&a0,&a1,&a2,&a3))
		{
			sipCpp->makeEllipse(a0,a1,a2,a3);

			Py_INCREF(Py_None);
			return Py_None;
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_makeEllipse);

	return NULL;
}


static PyObject *meth_QPointArray_cubicBezier(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipClass_QPointArray,&sipCpp))
		{
			QPointArray *sipRes;

			sipRes = new QPointArray(sipCpp->cubicBezier());

			return sipConvertFromNewInstance(sipRes,sipClass_QPointArray,NULL);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_cubicBezier);

	return NULL;
}


static PyObject *meth_QPointArray_nrefs(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipClass_QPointArray,&sipCpp))
		{
			unsigned sipRes;

			sipRes = sipCpp->nrefs();

			return PyLong_FromUnsignedLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_nrefs);

	return NULL;
}


static PyObject *meth_QPointArray_isEmpty(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipClass_QPointArray,&sipCpp))
		{
			bool sipRes;

			sipRes = sipCpp->isEmpty();

			return PyBool_FromLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_isEmpty);

	return NULL;
}


static PyObject *meth_QPointArray_isNull(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipClass_QPointArray,&sipCpp))
		{
			bool sipRes;

			sipRes = sipCpp->isNull();

			return PyBool_FromLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_isNull);

	return NULL;
}


static PyObject *meth_QPointArray_resize(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		unsigned a0;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"Bu",&sipSelf,sipClass_QPointArray,&sipCpp,&a0))
		{
			bool sipRes;

			sipRes = sipCpp->resize(a0);

			return PyBool_FromLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_resize);

	return NULL;
}


static PyObject *meth_QPointArray_size(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipClass_QPointArray,&sipCpp))
		{
			unsigned sipRes;

			sipRes = sipCpp->size();

			return PyLong_FromUnsignedLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_size);

	return NULL;
}


static PyObject *meth_QPointArray_truncate(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		unsigned a0;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"Bu",&sipSelf,sipClass_QPointArray,&sipCpp,&a0))
		{
			bool sipRes;

			sipRes = sipCpp->truncate(a0);

			return PyBool_FromLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_truncate);

	return NULL;
}


static PyObject *meth_QPointArray_fill(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		const QPoint * a0;
		int a1 = -1;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"BJA|i",&sipSelf,sipClass_QPointArray,&sipCpp,sipClass_QPoint,&a0,&a1))
		{
			bool sipRes;

			sipRes = sipCpp->fill(*a0,a1);

			return PyBool_FromLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_fill);

	return NULL;
}


static PyObject *meth_QPointArray_at(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		unsigned a0;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"Bu",&sipSelf,sipClass_QPointArray,&sipCpp,&a0))
		{
			QPoint *sipRes;

			sipRes = &sipCpp->at(a0);

			return sipConvertFromInstance(sipRes,sipClass_QPoint,NULL);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_at);

	return NULL;
}


static PyObject *meth_QPointArray_sort(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipClass_QPointArray,&sipCpp))
		{
			sipCpp->sort();

			Py_INCREF(Py_None);
			return Py_None;
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_sort);

	return NULL;
}


static PyObject *meth_QPointArray_bsearch(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		const QPoint * a0;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"BJA",&sipSelf,sipClass_QPointArray,&sipCpp,sipClass_QPoint,&a0))
		{
			int sipRes;

			sipRes = sipCpp->bsearch(*a0);

			return PyInt_FromLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_bsearch);

	return NULL;
}


static PyObject *meth_QPointArray_find(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		const QPoint * a0;
		unsigned a1 = 0;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"BJA|u",&sipSelf,sipClass_QPointArray,&sipCpp,sipClass_QPoint,&a0,&a1))
		{
			int sipRes;

			sipRes = sipCpp->find(*a0,a1);

			return PyInt_FromLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_find);

	return NULL;
}


static PyObject *meth_QPointArray_contains(PyObject *sipSelf,PyObject *sipArgs)
{
	int sipArgsParsed = 0;

	{
		const QPoint * a0;
		QPointArray *sipCpp;

		if (sipParseArgs(&sipArgsParsed,sipArgs,"BJA",&sipSelf,sipClass_QPointArray,&sipCpp,sipClass_QPoint,&a0))
		{
			int sipRes;

			sipRes = sipCpp->contains(*a0);

			return PyInt_FromLong(sipRes);
		}
	}

	/* Raise an exception if the arguments couldn't be parsed. */
	sipNoMethod(sipArgsParsed,sipNm_qt_QPointArray,sipNm_qt_contains);

	return NULL;
}


/* Cast a pointer to a type somewhere in its superclass hierarchy. */
static void *cast_QPointArray(void *ptr,sipWrapperType *targetClass)
{
	if (targetClass == sipClass_QPointArray)
		return ptr;

	return NULL;
}


/* Call the instance's destructor. */
static void release_QPointArray(void *ptr,int)
{
	delete reinterpret_cast<QPointArray *>(ptr);
}


static void dealloc_QPointArray(sipWrapper *sipSelf)
{
	if (sipIsPyOwned(sipSelf))
	{
		release_QPointArray(sipSelf -> u.cppPtr,0);
	}
}


static void *init_QPointArray(sipWrapper *,PyObject *sipArgs,sipWrapper **,int *sipArgsParsed)
{
	QPointArray *sipCpp = 0;

	if (!sipCpp)
	{
		if (sipParseArgs(sipArgsParsed,sipArgs,""))
		{
			sipCpp = new QPointArray();
		}
	}

	if (!sipCpp)
	{
		int a0;

		if (sipParseArgs(sipArgsParsed,sipArgs,"i",&a0))
		{
			sipCpp = new QPointArray(a0);
		}
	}

	if (!sipCpp)
	{
		const QPointArray * a0;

		if (sipParseArgs(sipArgsParsed,sipArgs,"JA",sipClass_QPointArray,&a0))
		{
			sipCpp = new QPointArray(*a0);
		}
	}

	if (!sipCpp)
	{
		const QRect * a0;
		bool a1 = 0;

		if (sipParseArgs(sipArgsParsed,sipArgs,"JA|b",sipClass_QRect,&a0,&a1))
		{
			sipCpp = new QPointArray(*a0,a1);
		}
	}

	if (!sipCpp)
	{
		int sipIsErr = 0;
		PyObject * a0;

		if (sipParseArgs(sipArgsParsed,sipArgs,"T",&PyList_Type,&a0))
		{
#line 133 "sip/qt/qpointarray.sip"
		// The Python interface is a list of QCOORDs.

		int nrpnts;
		QCOORD *pnts;

		nrpnts = PyList_GET_SIZE(a0);

		if ((pnts = getPoints(nrpnts,a0)) == NULL)
			sipIsErr = 1;
		else
		{
			// No wrapper class for QPointArray.

			Py_BEGIN_ALLOW_THREADS
			sipCpp = new QPointArray(nrpnts / 2,pnts);
			Py_END_ALLOW_THREADS

			sipFree((ANY *)pnts);
		}
#line 816 "sipqtQPointArray.cpp"

			if (sipIsErr)
				return 0;
		}
	}

	return sipCpp;
}


static void *forceConvertTo_QPointArray(PyObject *valobj,int *iserrp)
{
	if (*iserrp || valobj == NULL)
		return NULL;

	if (valobj == Py_None || sipIsSubClassInstance(valobj,sipClass_QPointArray))
		return sipConvertToCpp(valobj,sipClass_QPointArray,iserrp);

	sipBadClass(sipNm_qt_QPointArray);

	*iserrp = 1;

	return NULL;
}


static PyMethodDef methods_QPointArray[] = {
	{sipNm_qt_at, meth_QPointArray_at, METH_VARARGS, NULL},
	{sipNm_qt_boundingRect, meth_QPointArray_boundingRect, METH_VARARGS, NULL},
	{sipNm_qt_bsearch, meth_QPointArray_bsearch, METH_VARARGS, NULL},
	{sipNm_qt_contains, meth_QPointArray_contains, METH_VARARGS, NULL},
	{sipNm_qt_copy, meth_QPointArray_copy, METH_VARARGS, NULL},
	{sipNm_qt_cubicBezier, meth_QPointArray_cubicBezier, METH_VARARGS, NULL},
	{sipNm_qt_fill, meth_QPointArray_fill, METH_VARARGS, NULL},
	{sipNm_qt_find, meth_QPointArray_find, METH_VARARGS, NULL},
	{sipNm_qt_isEmpty, meth_QPointArray_isEmpty, METH_VARARGS, NULL},
	{sipNm_qt_isNull, meth_QPointArray_isNull, METH_VARARGS, NULL},
	{sipNm_qt_makeArc, meth_QPointArray_makeArc, METH_VARARGS, NULL},
	{sipNm_qt_makeEllipse, meth_QPointArray_makeEllipse, METH_VARARGS, NULL},
	{sipNm_qt_nrefs, meth_QPointArray_nrefs, METH_VARARGS, NULL},
	{sipNm_qt_point, meth_QPointArray_point, METH_VARARGS, NULL},
	{sipNm_qt_putPoints, meth_QPointArray_putPoints, METH_VARARGS, NULL},
	{sipNm_qt_resize, meth_QPointArray_resize, METH_VARARGS, NULL},
	{sipNm_qt_setPoint, meth_QPointArray_setPoint, METH_VARARGS, NULL},
	{sipNm_qt_setPoints, meth_QPointArray_setPoints, METH_VARARGS, NULL},
	{sipNm_qt_size, meth_QPointArray_size, METH_VARARGS, NULL},
	{sipNm_qt_sort, meth_QPointArray_sort, METH_VARARGS, NULL},
	{sipNm_qt_translate, meth_QPointArray_translate, METH_VARARGS, NULL},
	{sipNm_qt_truncate, meth_QPointArray_truncate, METH_VARARGS, NULL}
};


sipTypeDef sipType_qt_QPointArray = {
	0,
	0,
	"qt.QPointArray",
	0,
	{0, 0, 1},
	0,
	0,
	22, methods_QPointArray,
	0, 0,
	0,
	init_QPointArray,
	0,
	0,
	0,
	0,
	0,
	0,
	dealloc_QPointArray,
	cast_QPointArray,
	release_QPointArray,
	forceConvertTo_QPointArray,
	0,
	0,
	{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
	0
};
